Subject: Re: [Cose] Stephen Farrell's Block on charter-ietf-cose-00-00: (with BLOCK and COMMENT)

From: Kathleen Moriarty <[email-masked]>
Date: Thu, 7 May 2015 04:16:20 -0400

On Wed, Apr 29, 2015 at 11:46 AM, Paul Hoffman <[email-masked]>
wrote:

> On Apr 29, 2015, at 8:41 AM, Kepeng Li <[email-masked]> wrote:
> >> The milestone dates are nonsense. I'll buy the chairs a
> >> beverage if they happen though. It is fine if folks want
> >> to believe those dates though.
> >
> >
> > I checked the other charters, usually they put one year between
> submitting
> > a document as WG item and submitting a document to the IESG.
> >
> > Also we need a F2F meeting to discuss the drafts before adopting them, so
> > I propose to change June to July.
> >
> > How about this:
> >
> > OLD:
> > Jan 2016 Submit COSE constrained-appropriate algorithms to the IESG, for
> > publication as a Proposed Standard
> > Jan 2016 Submit COSE specification to the IESG, for publication as a
> > Proposed Standard
> > Jun 2015 Submit COSE constrained-appropriate algorithms as a WG item
> > Jun 2015 Submit COSE specification as a WG item
> >
> >
> > NEW:
> > Jul 2016 Submit COSE constrained-appropriate algorithms to the IESG, for
> > publication as a Proposed Standard
> > Jul 2016 Submit COSE specification to the IESG, for publication as a
> > Proposed Standard
> > Jul 2015 Submit COSE constrained-appropriate algorithms as a WG item
> > Jul 2015 Submit COSE specification as a WG item
>
> This was meant to be a short-lived WG for two focused items; it should not
> take a year to do this. Stephen might be right and we miss the goal of
> finishing this year, but I'd like to make him buy someone a beverage.
>

Please do reach this goal, I'd appreciate the win ;-)

>
> I also disagree that we need a F2F meeting on this at all. The mailing
> list is already working well on the early hard questions. If we can meet at
> an IETF meeting, great. If we need additional meetings, we can have a
> virtual interim. Please: let's not make this a "reason to travel" WG.
>

Meeting F2F is fine, we won't set any restrictions/expectations on that up
front.

Thanks,
Kathleen

> --Paul Hoffman

-- 

Best regards,
Kathleen

---

From: Kathleen Moriarty <[email-masked]>
Date: Thu, 7 May 2015 04:19:41 -0400

I'll make these updates today to the charter under review today.

Thank you,
Kathleen

On Wed, Apr 29, 2015 at 11:29 AM, Kepeng Li <[email-masked]>
wrote:

> >I can do it, but it would be good to hear from more than one person and
> >to see if there is better wording as requested.
>
>
> I can help to consolidate the proposed changes and hopefully make it
> easier for you. :-)
>
> The proposed changes so far:
>
> 1) Add one paragraph below (proposed by Paul):
> The COSE WG will not innovate in terms of cryptography.  The specifiation
> of algorithms in COSE is limited to those in RFCs or active IETF WG
> documents.
>
>
> 2) Remove one sentence below (proposed by Paul):
> COSE will rely on the JOSE registries, and will expand them with
> additional information when necessary.
>
>
> 3) Change one sentence below (proposed by Stephen)
> OLD:
> The working group will coordinate its progress with the ACE, DICE and CORE
> working groups to ensure that we are fulfilling the needs of these
> Constituencies.
>
>
> NEW:
> The working group will coordinate its progress with the ACE, DICE and CORE
> working groups to ensure that we are fulfilling the needs of these
> Constituencies to the extent relevant to their work.
>
>
> Thanks,
>
> Kind Regards
> Kepeng
>
>
>
> 在 29/4/15 12:38 am， "Kathleen Moriarty" <[email-masked]>
> 写入:
>
> >
> >
> >Sent from my iPhone
> >
> >> On Apr 28, 2015, at 12:27 PM, Paul Hoffman <[email-masked]>
> >>wrote:
> >>
> >>> On Apr 28, 2015, at 9:06 AM, Stephen Farrell
> >>><[email-masked]> wrote:
> >>>
> >>> tl;dr - make that or an equivalent change and I'll s/block/yes/
> >>
> >> Cool, thanks. I'm a bit embarrassed to admit that I don't know how to
> >>make a change to a proposed charter while it is in IESG evaluation. Does
> >>someone for the not-yet-WG do so? Or does the sponsoring AD do so?
> >>
> >
> >I can do it, but it would be good to hear from more than one person and
> >to see if there is better wording as requested.
> >
> >Thanks,
> >Kathleen
>
> >
>
>
>

-- 

Best regards,
Kathleen